## MacPorts-2.5.0-rc1.tar.bz2

=== tests/test/trace/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

PWD=$(shell dirname `pwd`)

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port clean > /dev/null
	@mkdir -p ../tracetesttmp
	@-[ "`id -u`" == "0" ] && chown $(RUNUSR) ../tracetesttmp
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) touch ../tracetesttmp/delete-trace) || touch ../tracetesttmp/delete-trace
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) touch ../tracetesttmp/rename-trace) || touch ../tracetesttmp/rename-trace
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) mkdir -p ../tracetesttmp/rmdir-trace) || mkdir -p ../tracetesttmp/rmdir-trace
	@rm -f /tmp/hello-trace
	@ln -sf /usr/include/unistd.h /tmp/link-trace2
	@-[ "`id -u`" == "0" ] && chown -h $(RUNUSR) /tmp/link-trace2
	@PORTSRC=$(PORTSRC) $(bindir)/port -vt test > output 2>&1 || (cat output; exit 1)
	@rm -f /tmp/link-trace2
	@rm -f /tmp/hello-trace
	@rm -rf ../tracetesttmp
	@diff -u master output 2>&1 | tee difference
	@if [ -s difference ]; then \
		exit 1; \
	else \
		rm -f difference output; \
	fi

clean::
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null
	@rm -f output output.sed difference
	@rm -rf ../tracetesttmp

=== tests/test/dependencies-c/Portfile ===
PortSystem 1.0

name		dependencies-c
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	https://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants	+i_want_a

variant i_want_a {
	depends_lib-append	port:dependencies-a
}

test {
# testing consists in processing dependencies
}

=== tests/test/site-tags/Portfile ===
PortSystem 1.0

name		site-tags
version		2
categories	test
maintainers	kallisys.net:pguyot
description	Test port for site:tags functionalities
homepage	https://www.macports.org/
platforms	darwin

long_description ${description}

master_sites	http://distfiles.macports.org/py-importlib/:importlib \
				http://distfiles.macports.org/py-errorhandler/:errorhandler
distfiles		importlib-1.0.2.tar.gz:importlib \
				errorhandler-1.1.1.tar.gz:errorhandler

checksums		importlib-1.0.2.tar.gz \
					rmd160 0bd0d01f4e419340066c29e3e09ddc182b96f8d1 \
					sha256 24d0966aa76859b288485803f310076512f87377e6c9afe9c28c52a8ccdd328c \
				errorhandler-1.1.1.tar.gz \
					rmd160 3a60f826eb1bae0e249fdefd3d6c4eb3c598832f \
					sha256 2baa97a8a256fe72960d196bbdee4404162186f539c4d73b3f1c072db18463e9

extract		{}
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}
